Package org.apache.sling.scripting.bundle.tracker.internal

## Class TypeProvider

- java.lang.Object
- - org.apache.sling.scripting.bundle.tracker.internal.TypeProvider

    public class TypeProvider
    extends java.lang.Object

A `TypeProvider` keeps an association between a versioned resource type and the bundle that provides it.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`